/* Corrigeer payable statussen n.a.v. bug in CLIEOP waardoor 
   volledig betaalde CR- en DB-posten niet de juiste status krijgen. */
   
FOR EACH aa-fin_payable EXCLUSIVE 
  WHERE aa-fin_payable.ind_paid = NO  ,
  FIRST aa-fin_payment_db NO-LOCK
  WHERE aa-fin_payment_db.companycode EQ aa-fin_payable.companycode
    AND aa-fin_payment_db.payablenr   EQ aa-fin_payable.payablenr
    AND aa-fin_payment_db.ind_paid    EQ TRUE
    AND aa-fin_payment_db.ind_processed EQ TRUE :


  ASSIGN
    aa-fin_payable.ind_paid = TRUE
    aa-fin_payable.dt_paid  = aa-fin_payment_db.dt_paid
    .
  
END.

FOR EACH aa-fin_receivable EXCLUSIVE 
  WHERE aa-fin_receivable.ind_paid = NO  ,
  FIRST aa-fin_payment_cr NO-LOCK
  WHERE aa-fin_payment_cr.companycode   EQ aa-fin_receivable.companycode
    AND aa-fin_payment_cr.receivablenr  EQ aa-fin_receivable.receivablenr
    AND aa-fin_payment_cr.ind_paid      EQ TRUE
    AND aa-fin_payment_cr.ind_processed EQ TRUE :
  
  ASSIGN
    aa-fin_receivable.ind_paid = TRUE
    aa-fin_receivable.dt_paid  = aa-fin_payment_cr.dt_paid
    .
  
END.

FOR EACH aa-fin_dossier EXCLUSIVE :

  /* Set result processing status v/h dossier op false. */
  aa-fin_dossier.result_ind_processed = NOT CAN-FIND(FIRST aa-fin_payable_dossier
                                                     WHERE aa-fin_payable_dossier.companycode    EQ aa-fin_dossier.companycode
                                                       AND aa-fin_payable_dossier.dossiernr      EQ aa-fin_dossier.dossiernr
                                                       AND ( aa-fin_payable_dossier.statuscode     EQ 'B'
                                                             OR aa-fin_payable_dossier.statuscode  EQ 'N' )
                                                       AND aa-fin_payable_dossier.ind_processed  EQ TRUE  /* => d.w.z. oorsprongs-transactie is verwerkt. */
                                                     USE-INDEX aa-fin_payable_dossier )
  .

END.
