{system/conversion/conversion_progress.i}

/*------------------------------------------------------------------------
  File: aa/conversion/13.01/aa-1301-after-02-attachmentnr.p
  Doel: Vullen attachmentnummer op Fiscal File records
------------------------------------------------------------------------*/
DEF VAR cProgram                      AS CHAR NO-UNDO.
DEF VAR cAction                       AS CHAR NO-UNDO.
DEF VAR iDone                         AS INT  NO-UNDO.

ASSIGN cProgram =  "aa-1301-after-02-attachmentnr.p".

FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
     WITH FRAME a.


DISABLE TRIGGERS FOR LOAD OF aa-fiscal_file.

DO TRANSACTION:
  ASSIGN cAction  = "Vullen Fiscal Files attachmentnr."
         iDone    = 0.
  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
  
  FOR EACH aa-fiscal_file
     WHERE aa-fiscal_file.attachmentnr EQ 0
    EXCLUSIVE-LOCK :

    ASSIGN aa-fiscal_file.attachmentnr = NEXT-VALUE(aa-attachment) .
    
    iDone = iDone  + 1.
    RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).

  END. /* FOR EACH aa-fiscal_file */
END. /* TRANSACTION */

RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
