{system/conversion/conversion_progress.i}

/*------------------------------------------------------------------------
  File: aa/conversion/13.01/aa-1301-after-03-aa-vat_countrycode.p
  Doel: Vul de nieuwe vat_countrycode velden t.b.v. betere Xref definities.
        In 11.03 bestond deze conversie al, maar hier werden alleen de 
        invoices met invoice_status ="" gevuld. Nu doen we de rest ook!
------------------------------------------------------------------------*/
  DEF VAR cProgram                      AS CHAR NO-UNDO.
  DEF VAR cAction                       AS CHAR NO-UNDO.
  DEF VAR iDone                         AS INT  NO-UNDO.

  ASSIGN cProgram =  "aa-1301-after-04-aa-browse-layout.p".
  ASSIGN cAction  = "Clean up the usercode for shared layouts".


  FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
       "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
       "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
       WITH FRAME a.


  
 
  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
  
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  <none>
  Notes:       
------------------------------------------------------------------------------*/
  iDone    = 0.
  
  FOR EACH aa-browse-layout EXCLUSIVE-LOCK TRANSACTION :
    IF aa-browse-layout.ind_public = TRUE 
    THEN aa-browse-layout.usercode = "" . 
    iDone    = iDone + 1.
  END. 
  
  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).

