USING System.cls.SPUtil.

/*------------------------------------------------------------------------
    Description : aa-imo.cas naar onderliggende tabel

*/
/* standalone preprocessor even op iets anders zetten als je deze handmatig wil draaien */
&SCOPED-DEFINE standalone NO

&IF {&standalone} = NO &THEN
{System/conversion/conversion_progress.i}
&ENDIF

/* ********************  Preprocessor Definitions  ******************** */


/* ***************************  Main Block  *************************** */
DEFINE VARIABLE cProgram                      AS CHARACTER  NO-UNDO.
DEFINE VARIABLE cAction                       AS CHARACTER NO-UNDO.
DEFINE VARIABLE cTable                        AS CHARACTER NO-UNDO.
DEFINE VARIABLE iTotal                        AS INTEGER NO-UNDO.
DEFINE VARIABLE iDone                         AS INTEGER NO-UNDO.

DISABLE TRIGGERS FOR LOAD OF aa-imo ALLOW-REPLICATION.
DISABLE TRIGGERS FOR LOAD OF aa-imo_cas ALLOW-REPLICATION.

DEFINE BUFFER b-aa-imo_cas FOR aa-imo_cas.
DEFINE BUFFER b-aa-imo_cas_code FOR aa-imo_cas_code.

cProgram =  THIS-PROCEDURE:FILE-NAME.
cAction  = "CAS code AA-IMO".
cTable   = "aa-imo".


FOR EACH aa-imo EXCLUSIVE-LOCK TRANSACTION:

  IF aa-imo.cascode <> ""
  THEN DO:

    /* Create code record */
    FIND aa-imo_cas_code WHERE
         aa-imo_cas_code.cascode = aa-imo.cascode
         NO-LOCK NO-ERROR.

    IF NOT AVAIL aa-imo_cas_code
    THEN DO:
      CREATE b-aa-imo_cas_code.
      ASSIGN b-aa-imo_cas_code.cascode = aa-imo.cascode
             b-aa-imo_cas_code.des = aa-imo.cascode.
      RELEASE b-aa-imo_cas_code.
    END.

    /* Create aa-imo_cas record */
    CREATE b-aa-imo_cas.
    ASSIGN b-aa-imo_cas.imo_seqnr = aa-imo.imo_seqnr
           b-aa-imo_cas.cascode = aa-imo.cascode.

  END.

  iDone = iDone + 1.
  IF iDone MODULO 100 = 0
  THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
