{system/conversion/conversion_progress.i}
/*------------------------------------------------------------------------
  File: aa/conversion/10.04/aa-1101-after-01-attachmentnr.p
  Doel: Purchase invoices en creditor Accounts unpdaten met actuele 
        betaal-timing code.
------------------------------------------------------------------------*/
DEF VAR cProgram                      AS CHAR NO-UNDO.
DEF VAR cAction                       AS CHAR NO-UNDO.
DEF VAR iDone                         AS INT  NO-UNDO.

ASSIGN cProgram =  "aa-1101-after-01-attachmentnr.p".

FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
     WITH FRAME a.



DO TRANSACTION:
  ASSIGN cAction  = "Vullen vessel attachmentnr."
         iDone    = 0.
  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
  
  /* Vullen languagenr v/d crediteur. */
  FOR EACH aa-vessel
    WHERE aa-vessel.attachmentnr EQ 0
    EXCLUSIVE-LOCK :

    ASSIGN aa-vessel.attachmentnr = NEXT-VALUE(aa-ATTACHMENT) .
    
    iDone = iDone  + 1.
    RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).

  END. /* FOR EACH aa-creditor */
END. /* TRANSACTION */


RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
