{system/conversion/conversion_progress.i}
/*------------------------------------------------------------------------
  File: aa/conversion/11.02/aa-1102-after-01-exact.p
  Doel: 
------------------------------------------------------------------------*/
DEF VAR cProgram                      AS CHAR NO-UNDO.
DEF VAR cAction                       AS CHAR NO-UNDO.
DEF VAR iDone                         AS INT  NO-UNDO.

ASSIGN cProgram =  "aa-1103-after-01-limit_action.p".

FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
     WITH FRAME a.



  ASSIGN cAction  = "Vullen Limit Action v/d debtor."
         iDone    = 0.
  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
  
/*------------------------------------------------------------------------------
  Purpose:     IN OE10 kunnen combo boxen niet leeg blijven.
               Daarom de Lijst van opties van limit_action van updaten, en
               limit action velden zelf converteren naar de nieuwe waarde.
  Parameters:  <none>
  Notes:       
------------------------------------------------------------------------------*/
  DISABLE TRIGGERS FOR LOAD OF aa-debtor.

  DEFINE BUFFER b-aa-control FOR aa-control.
  
  DO TRANSACTION:
  
    FIND b-aa-control WHERE TRUE 
     AND b-aa-control.controlcode = 'LIMIT_ACTION'
     EXCLUSIVE-LOCK NO-ERROR.
     IF NOT AVAILABLE b-aa-control
     THEN CREATE b-aa-control.
     ASSIGN 
     b-aa-control.controlcode = 'LIMIT_ACTION'
     b-aa-control.list = 'Not Applicable' + CHR(4) + 'Block' + CHR(4) + 'Message'
     b-aa-control.des = 'Komt terug bij de aa-debtor....'
     .
  
  END. /*-- DO --*/
  
  FOR EACH aa-debtor EXCLUSIVE-LOCK
    WHERE aa-debtor.limit_action = '' 
       OR aa-debtor.limit_action = '' :
  
    aa-debtor.limit_action = 'Not Applicable' .
    iDone = iDone  + 1.
    RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
  
  END.
  


RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
