{system/conversion/conversion_progress.i}
/*------------------------------------------------------------------------
  File: aa/conversion/12.03/aa-1203-before-02-unique-idx.p
  Doel: Zorgen dat nieuw unieke indexen niet voor problemen zorgen.
------------------------------------------------------------------------*/
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO INITIAL "aa-mail_subject".
DEF VAR iDone                         AS INTEGER   NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO INITIAL 0.
DEF VAR iLoop                         AS INTEGER   NO-UNDO.
DEF VAR iCnt                          AS INTEGER   NO-UNDO.

  ASSIGN cProgram =  "aa-1203-before-02-unique-idx.p".
  
  ASSIGN cAction  = "Make nationality unique in aa-nationality"
         cTable   = "aa-nationality"
         iTotal   = 0
         iDone    = 0.
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

  DISABLE TRIGGERS FOR LOAD OF aa-nationality.   
  
  DO TRANSACTION:

    FOR EACH aa-nationality 
        EXCLUSIVE-LOCK 
      BREAK BY nationalitycode :
      
      IF NOT FIRST-OF(nationalitycode)
      THEN DO: 

        DELETE aa-nationality.
        
        iDone = iDone  + 1.
        RUN DisplayProgress (cProgram, cAction, cTable  , iTotal     , iDone).
      END.
      iTotal = iTotal + 1.
    END.
    
  END. /* DO TRANSACTION */

  RUN DisplayProgress (cProgram, cAction, cTable    , iTotal     , iDone).

  ASSIGN cAction  = "Make webservicecode unique in aa-webservice"
         cTable   = "aa-webservice"
         iTotal   = 0
         iDone    = 0.

  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  
  DISABLE TRIGGERS FOR LOAD OF aa-webservice.
  
  FOR EACH aa-webservice 
      EXCLUSIVE-LOCK 
    TRANSACTION
    BREAK BY webservicecode :
    
    IF NOT FIRST-OF(webservicecode)
    THEN DO: 

      DELETE aa-webservice.
      
      iDone = iDone  + 1.
      RUN DisplayProgress (cProgram, cAction, cTable  , iTotal     , iDone).
    END.
    iTotal = iTotal + 1.

  END. /* TRansaction */
  
  RUN DisplayProgress (cProgram, cAction, cTable    , iTotal     , iDone).

/*

ADD INDEX "a-tp_license_type" ON "aa-tp_license_type"
  AREA "Schema Area"
  UNIQUE
  INDEX-FIELD "licensetype" ASCENDING

ADD INDEX "aa-tp_move_type" ON "aa-tp_move_type"
  AREA "Schema Area"
  UNIQUE
  INDEX-FIELD "movetype" ASCENDING

ADD INDEX "aa-tp_routematrix" ON "aa-tp_routematrix"
  AREA "Schema Area"
  UNIQUE
  INDEX-FIELD "routematrix_code" ASCENDING

ADD INDEX "aa-tp_supplier_cost" ON "aa-tp_supplier_cost"
  AREA "Schema Area"
  UNIQUE
  INDEX-FIELD "companycode" ASCENDING
  INDEX-FIELD "tp_file_seqnr" ASCENDING
  INDEX-FIELD "cost_seqnr" ASCENDING

ADD INDEX "aa-tp_supplier_country" ON "aa-tp_supplier_country"
  AREA "Schema Area"
  UNIQUE
  INDEX-FIELD "companycode" ASCENDING
  INDEX-FIELD "countrycode" ASCENDING
  INDEX-FIELD "supplier_addressnr" ASCENDING

ADD INDEX "aa-tp_transport_type" ON "aa-tp_transport_type"
  AREA "Schema Area"
  UNIQUE
  INDEX-FIELD "transporttype" ASCENDING

ADD INDEX "aa-tp_triptype" ON "aa-tp_triptype"
  AREA "Schema Area"
  UNIQUE
  INDEX-FIELD "triptype" ASCENDING

*/
