
{System/conversion/conversion_progress.i}

DEFINE VARIABLE cProgram AS CHARACTER NO-UNDO.
DEFINE VARIABLE cAction  AS CHARACTER NO-UNDO.
DEFINE VARIABLE cTable   AS CHARACTER NO-UNDO.
DEFINE VARIABLE iTotal   AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone    AS INTEGER   NO-UNDO.
DEFINE VARIABLE iLoop    AS INTEGER   NO-UNDO.
DEFINE VARIABLE lFound   AS LOGICAL   NO-UNDO.

DISABLE TRIGGERS FOR LOAD OF aa-ext_map.
DEFINE BUFFER b-aa-ext_map FOR aa-ext_map.

ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Ext map SAP companycode aanmaken"
  cTable   = "aa-ext_map"
  iTotal   = 0
  iDone    = 0
  .

FOR EACH sp-company WHERE 
         sp-company.fin_accountcode = "SAP" NO-LOCK: 
           
  FIND aa-ext_map WHERE
       aa-ext_map.companycode = sp-company.companycode 
   AND aa-ext_map.mapcode     = "SAP" 
   AND aa-ext_map.fieldcode   = "COMPANYCODE"
       NO-LOCK NO-ERROR.
  
  IF NOT AVAILABLE aa-ext_map
  THEN DO TRANSACTION: 
    CREATE b-aa-ext_map.
    ASSIGN b-aa-ext_map.companycode = sp-company.companycode
           b-aa-ext_map.mapcode     = "SAP"
           b-aa-ext_map.fieldcode   = "COMPANYCODE"
           b-aa-ext_map.ext_code    = "2000"
           iDone = iDone + 1
           .
           
  END.
END.

  
RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).  

