{System/conversion/conversion_progress.i}

DEFINE VARIABLE cProgram    AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cAction     AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable      AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal      AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone       AS INTEGER   NO-UNDO.

DEFINE VARIABLE cServices   AS CHARACTER NO-UNDO INITIAL "DATANET1,DEXX,DIGIACCESS,FAX,IPDIALIN".
DEFINE VARIABLE cService    AS CHARACTER NO-UNDO.
DEFINE VARIABLE  iLoop      AS INTEGER   NO-UNDO.

DISABLE TRIGGERS FOR LOAD OF aa-edi-srv.
DISABLE TRIGGERS FOR LOAD OF aa-edi-srv-par.
DISABLE TRIGGERS FOR LOAD OF aa-edi-scheduler-service.


ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  iTotal   = 0
  iDone    = 0
  .

DO iLoop = 1 TO NUM-ENTRIES(cServices):
  ASSIGN
    cService = ENTRY(iLoop, cServices)
    cAction  = SUBSTITUTE("Delete &1 service", cService)
    .

  cTable = "aa-edi-srv".
  FIND aa-edi-srv WHERE
       aa-edi-srv.service_code = cService
    EXCLUSIVE-LOCK NO-ERROR.
  IF AVAILABLE aa-edi-srv
  THEN DO:
    aa-edi-srv.schedulerid_code = "".
    DELETE aa-edi-srv.
    iDone = iDone + 1.
  END.
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

  cTable = "aa-edi-srv-par".
  FOR EACH aa-edi-srv-par WHERE
           aa-edi-srv-par.service_code = cService
    EXCLUSIVE-LOCK:
    DELETE aa-edi-srv-par.
    iDone = iDone + 1.
  END.
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

  cTable = "aa-edi-scheduler-service".
  FOR EACH aa-edi-scheduler-service WHERE
           aa-edi-scheduler-service.service_code = cService
    EXCLUSIVE-LOCK:
    DELETE aa-edi-scheduler-service.
    iDone = iDone + 1.
  END.
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END. /* DO iLoop */



iTotal = iDone.


RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

